politas

CKAN (The Comprehensive Kerbal Archive Network); v1.26.4 - Orion

Recommended Posts

I just found out why this is - over on the mod's thread.  Probably best to wait for 1.3 fo him, once he has some time.

Share this post


Link to post
Share on other sites

I'm having an issue with the latest version of CKAN on a Mac and was wondering if anyone had any pearls of wisdom to offer. When starting it up (via either the CKAN.app bundle or by running Mono in a terminal window), it starts up, and then immediately freezes in the 'updating repositories' stage (see screenshot inside the spoiler block). It stays there indefinitely, without even the progress bar thingy moving, until I kill the process. I've tried a couple of different versions of Mono (5.4.x, as linked from the 'install CKAN on OSX wiki page, and the latest 5.6.x stable version) without any difference. 

During the startup, the first tab (with the installed mods) flashes briefly, and then it switches over to the updating tab, so it at least is doing something. 

Any thoughts or things to try would be greatly appreciated.

CKAN 1.25.4, OSX Mojave.

Spoiler

d6l3bI8.png

Share this post


Link to post
Share on other sites
1 hour ago, dmsilev said:

I'm having an issue with the latest version of CKAN on a Mac and was wondering if anyone had any pearls of wisdom to offer. When starting it up (via either the CKAN.app bundle or by running Mono in a terminal window), it starts up, and then immediately freezes in the 'updating repositories' stage (see screenshot inside the spoiler block). It stays there indefinitely, without even the progress bar thingy moving, until I kill the process. I've tried a couple of different versions of Mono (5.4.x, as linked from the 'install CKAN on OSX wiki page, and the latest 5.6.x stable version) without any difference. 

During the startup, the first tab (with the installed mods) flashes briefly, and then it switches over to the updating tab, so it at least is doing something. 

Any thoughts or things to try would be greatly appreciated.

CKAN 1.25.4, OSX Mojave.

  Reveal hidden contents

d6l3bI8.png

This is a known issue, being fixed here: https://github.com/KSP-CKAN/CKAN/pull/2600

(And DasSkelett was kind enough to provide a test build.)

Share this post


Link to post
Share on other sites
1 hour ago, HebaruSan said:

This is a known issue, being fixed here: https://github.com/KSP-CKAN/CKAN/pull/2600

(And DasSkelett was kind enough to provide a test build.)

Thanks! That got me most of the way there. It's now sort-of functional. I say 'sort of' because all of the buttons along the top row (Launch KSP, Refresh, etc.) are grayed out. The list of mods is present and I can interact with that just fine, and if I select something for installing or updating,, I can switch to the changeset tab and apply the changes, so it is functional. Just annoying not to be able to change the display filter mainly.

Share this post


Link to post
Share on other sites

CKAN.InvalidModuleFileKraken: WaypointManager 2.7.3: C:\Users\*****\AppData\Local\Temp\tmpC197.tmp has length 75809, should be 75806
   at CKAN.NetModuleCache.Store(CkanModule module, String path, String description, Boolean move)
   at CKAN.NetAsyncModulesDownloader.ModuleDownloadsComplete(NetModuleCache cache, Uri[] urls, String[] filenames, Exception[] errors)

 

Ckan keeps throwing this error at me while trying to update some of the mods I have.

edit: Manually updated Waypoint Manager to get around the problem.

Edited by uglyduckling81

Share this post


Link to post
Share on other sites
5 hours ago, uglyduckling81 said:

CKAN.InvalidModuleFileKraken: WaypointManager 2.7.3: C:\Users\*****\AppData\Local\Temp\tmpC197.tmp has length 75809, should be 75806
   at CKAN.NetModuleCache.Store(CkanModule module, String path, String description, Boolean move)
   at CKAN.NetAsyncModulesDownloader.ModuleDownloadsComplete(NetModuleCache cache, Uri[] urls, String[] filenames, Exception[] errors)

 

Ckan keeps throwing this error at me while trying to update some of the mods I have.

edit: Manually updated Waypoint Manager to get around the problem.

Thanks for letting us know, should be fixed now.

Share this post


Link to post
Share on other sites

Hi CKAN people. 

I've had a couple of requests that my SIMPLEX Tech Tree mod be added to CKAN.  Is it enough to just click the 'add to CKAN' in Spacedock or do I have to make a meta data file with all the stuff in it as well?  I'm really not sure after looking through the wiki, and I personally don't use CKAN.

Thanks for the guidance.  Peace.

Share this post


Link to post
Share on other sites
Quote

Is it enough to just click the 'add to CKAN' in Spacedock

Unfortunately that part of SpaceDock is broken at the moment:  https://github.com/KSP-SpaceDock/SpaceDock/issues/188

1 hour ago, theJesuit said:

Hi CKAN people. 

I've had a couple of requests that my SIMPLEX Tech Tree mod be added to CKAN

Quote

or do I have to make a meta data file with all the stuff in it as well?  I'm really not sure after looking through the wiki, and I personally don't use CKAN.

Thanks for the guidance.  Peace.

We can take care of it for you. Started here:  https://github.com/KSP-CKAN/NetKAN/pull/6886

EDIT: Should be indexed now. If your users report any problems, please either file an issue on GitHub or reply in this thread.

Edited by HebaruSan

Share this post


Link to post
Share on other sites
1 hour ago, HebaruSan said:

Unfortunately that part of SpaceDock is broken at the moment:  https://github.com/KSP-SpaceDock/SpaceDock/issues/188

We can take care of it for you. Started here:  https://github.com/KSP-CKAN/NetKAN/pull/6886

EDIT: Should be indexed now. If your users report any problems, please either file an issue on GitHub or reply in this thread.

Thank you very muchly! 

Peace.

EDIT - a quick question, I'm assuming Spacedock will count the number of downloads - or does CKAN provide additional usage stats (even if I have to install something?)

Edited by theJesuit
question

Share this post


Link to post
Share on other sites
13 minutes ago, theJesuit said:

EDIT - a quick question, I'm assuming Spacedock will count the number of downloads - or does CKAN provide additional usage stats (even if I have to install something?)

CKAN currently doesn't do any tracking of stats on its own. It does have a download counts column, but that's sourced from the publicly available data about all downloads on the various hosts rather than based on CKAN user choices specifically.

https://github.com/KSP-CKAN/CKAN/pull/2518

Share this post


Link to post
Share on other sites

@HebaruSan I just opened an issue: https://github.com/KSP-CKAN/CKAN/issues/2620:

During updating my career game to 1.5.1, I came across this:

SXTContinued has this:

  "KSP_VERSION": {
    "MAJOR": 1,
    "MINOR": 5,
    "PATCH": 1
  },
  "KSP_VERSION_MIN": {
    "MAJOR": 1,
    "MINOR": 5,
    "PATCH": 1
  }

and this is recognized properly by AVC. However, for some reason, CKAN is not recognizing this mod as 1.5.1 compatible, and is refusing to update the mod.
I looked at the meta data, and it looks correct

 
 
Edit:  This seems to be something funny on my system, no one else can reproduce it
 
Edited by linuxgurugamer

Share this post


Link to post
Share on other sites

Im very new to Ckan, Im just tired of manually installing and updating everytime i want to play. I downloaded the exe, but it only shows like 125 mods compatible. Ok so I selected ALL and now i see the mods i use but i cannot do anything with them?  They all just have a line beside them.

Share this post


Link to post
Share on other sites
1 hour ago, viperwolf said:

Im very new to Ckan, Im just tired of manually installing and updating everytime i want to play. I downloaded the exe, but it only shows like 125 mods compatible. Ok so I selected ALL and now i see the mods i use but i cannot do anything with them?  They all just have a line beside them.

KSP 1.6.0 just came out and most mods are not explicitly marked as compatible with it yet.

In the meantime, you can install mods for KSP 1.5 via Settings --> Compatible KSP versions.

Share this post


Link to post
Share on other sites
35 minutes ago, HebaruSan said:

KSP 1.6.0 just came out and most mods are not explicitly marked as compatible with it yet.

In the meantime, you can install mods for KSP 1.5 via Settings --> Compatible KSP versions.

Oh well I feel dumb, I had no idea that steam updated it.  Thanks for telling me about the compatible part, I appreciate it.

Edited by viperwolf

Share this post


Link to post
Share on other sites

Ok now I understand why most are using Ckan now, This makes things so much easier.

Edited by viperwolf

Share this post


Link to post
Share on other sites
6 hours ago, viperwolf said:

Ok now I understand why most are using Ckan now, This makes things so much easier.

Yep, CKAN saves a lot of time that can be used for playing a game, instead of following various install instructions. But, while it is designed to "fool proof" as much as possible, you have to be aware of CKAN limitations. Meaning, when you often re-install some mods, if some mod create config file or some other file after install, when you run game for a first time, CKAN would not remove mod folder with additional files in it.

Due to MM and how it recognize by folder names if some mod is installed or not, it can lead to unproper settings in game database that MM alter. 99% of time CKAN does job quite well, you just have to be aware of mentioned limitations. Even when you get into some issues, most of time you can easy repair things by yourself by using list of favorite mods.

Just create list of favorite mods, uninstall everything, check gamedata folder if there is any leftover folders that are not part of stock game, delete those by yourself and install everything again trough CKAN, using mentioned list. CKAN is smart enough to re-use previously downloaded mod files, so you don't need to redownload them again, just re-install again.

Of course, there is also some unproper installs from time to time, when mod author or someone else that maintain CKAN metadata files make some typo or create something that does not install files as intended. But, that kind of things can happen even if you use manual install, if you copy some older version of mod that is in dependency list or similar. And it is spoted by community and solved quite fast, mostly you have to just wait for couple of hours and re-install mod again trough CKAN.

Share this post


Link to post
Share on other sites

I've just updated KSP to v1.5.1 from 1.4.5 via Steam and was making all of the adjustments in CKAN and my folder structure to make 1.5.1 the default.  I have only one KSP version (1.5.1) listed in CKAN via the File > Select Install... dialog but when I start CKAN I get the following warning:

Quote

302 [1] WARN CKAN.GameVersionProviders.KspBuildIdVersionProvider (null) - Found different KSP versions in buildID.txt (1.4.5.2243) and buildID64.txt (1.5.1.2335), assuming 1.5.1.2335.

It's only a warning, but I would like to understand what's happening to create it.  I believe that it's caused by the build numbers in those two files reference two different versions.  Could the bulidID.txt file just have been missed during the update?

Share this post


Link to post
Share on other sites
49 minutes ago, Brigadier said:

I believe that it's caused by the build numbers in those two files reference two different versions.

Yeah, looks like it.

49 minutes ago, Brigadier said:

Could the bulidID.txt file just have been missed during the update?

Maybe?

Share this post


Link to post
Share on other sites

Is there any way to get the bot to use the online version of the .version files?  I've updated all of those, dont want to have to update them all agsin

Share this post


Link to post
Share on other sites
27 minutes ago, linuxgurugamer said:

Is there any way to get the bot to use the online version of the .version files?  I've updated all of those, dont want to have to update them all agsin

Yes, point the "URL" property of the .version file to the location of the online version. E.g., this update was done that way:

https://github.com/KSP-CKAN/CKAN-meta/commit/f6325402744e593b2d2dc69a9e4804a14f11cbcc#diff-18954f9c2edbcab4d70e187924f7a208

Right now QuickSearch's .version file has http://ksp.spacetux.net/avc/QuickSearch, which is a broken link.

Share this post


Link to post
Share on other sites

Any alternative to CKAN on linux ? any other mod manager for linux ?

CKAN no longer works on debian based distros since they updated it to run on mono 5.0

 

Share this post


Link to post
Share on other sites
7 hours ago, HebaruSan said:

Yes, point the "URL" property of the .version file to the location of the online version. E.g., this update was done that way:

https://github.com/KSP-CKAN/CKAN-meta/commit/f6325402744e593b2d2dc69a9e4804a14f11cbcc#diff-18954f9c2edbcab4d70e187924f7a208

Right now QuickSearch's .version file has http://ksp.spacetux.net/avc/QuickSearch, which is a broken link.

Oh nuts.

I need to fix that, will get it fixed tomorrow

edit: Should be ok now

For some reason, I thought that my mods hadn't been updated in CKAN, I do see that they are.  Thanks for the heads-up on the missing Quick version files

Edited by linuxgurugamer

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.